I cannot get PB to open up with IDM35 and newer functions.

When I have been upgrading my servers to idm35 I have just been importing
a new project. Today however, on one server I just did the live driver
version update after the upgrade. So the version of the driver on the
driver properites went from 3.01xxx to 3.5xxx.

however everytime I open a policy to edit, I am still getting the 3.5 and
prior PB.